| Home | Libraries | People | FAQ | More

###### rows::operator== (2 of 3 overloads)

###### Synopsis

    bool
    operator==(
        const rows_view& lhs,
        const rows& rhs);

###### Description

Equality operator. The containers are considered equal if they have the same number of rows and they all compare equal, as defined by `row_view::operator==`.

###### Exception safety

No-throw guarantee.

###### Complexity

Linear in `lhs.size() * lhs.num_columns()` and `rhs.size() * rhs.num_columns()`.